#include <AccelStepper.h>

// Define some steppers and the pins the will use
AccelStepper stepper1(1, 8, 9); // Defaults to AccelStepper::FULL4WIRE (4 pins) on 2, 3, 4, 5
AccelStepper stepper2(1, 5, 6); // Defaults to AccelStepper::FULL4WIRE (4 pins) on 2, 3, 4, 5
AccelStepper stepper3(1, 3, 2); // Defaults to AccelStepper::FULL4WIRE (4 pins) on 2, 3, 4, 5
AccelStepper stepper4(1, A2, 4); // Defaults to AccelStepper::FULL4WIRE (4 pins) on 2, 3, 4, 5


void setup()
{  
    stepper1.setMaxSpeed(200.0);
    stepper1.setAcceleration(100.0);
 
    stepper2.setMaxSpeed(200.0);
    stepper2.setAcceleration(100.0);

    stepper3.setMaxSpeed(200.0);
    stepper3.setAcceleration(100.0);
  

    stepper4.setMaxSpeed(200.0);
    stepper4.setAcceleration(100.0);

    
  stepper1.moveTo(20000);
  stepper2.moveTo(20000);
  stepper3.moveTo(20000);
  stepper4.moveTo(20000);
    
}

void loop()
{
    stepper1.run();
    stepper2.run();
    stepper3.run();
    stepper4.run();
}
